GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Functions
screening_types.cpp File Reference
`#include "gridfire/screening/screening_abstract.h"`
`#include "gridfire/screening/screening_types.h"`
`#include "gridfire/screening/screening_weak.h"`
`#include "gridfire/screening/screening_bare.h"`
`#include <memory>`

Go to the source code of this file.

## Namespaces
namespace | gridfire
namespace | gridfire::screening

## Functions
std::unique_ptr< ScreeningModel > | gridfire::screening::selectScreeningModel (ScreeningType type)
| A factory function to select and create a screening model.